Novo driver para placa wireless BCM4312

Publicado por Cesar Vieira Bento em 04/11/2010

[ Hits: 6.373 ]

Blog: http://mmasterinformatica.com.br

 


Novo driver para placa wireless BCM4312



Pesquisando na Internet (Google) encontrei outro modo mas fácil de se instalar o driver para a placa wireless BCM4312.

Baixando pacotes necessários:

su
# aptitude update
# aptitude install build-essential debhelper module-assistant quilt wireless-tools
# exit


Baixando arquivos:

# wget http://ftp.us.debian.org/debian/pool/non-free/b/broadcom-sta/broadcom-sta-source_5.60.48.36-2_all.deb
# wget http://ftp.us.debian.org/debian/pool/non-free/b/broadcom-sta/broadcom-sta-common_5.60.48.36-2_all.deb

Executando instalação:

# dpkg -i broadcom-sta-*deb

É claro que você deve estar dentro da pasta que onde baixou os arquivos .deb.

Construir e instalar um pacote "broadcom-sta-modules-*" para o seu sistema usando o module-assistant:

# m-a a-i broadcom-sta
# echo blacklist brcm80211 >> /etc/modprobe.d/broadcom-sta-common.conf
# update-initramfs -u -k $(uname -r)
# modprobe wl


Depois disto já é para estar funcionando.

Outras dicas deste autor

IPtables - Bloqueando sites de relacionamentos

Placa wirelles no Dell Vostro 1000 com Linux fácil, fácil

Leitura recomendada

PDC Samba levando os administradores para o Windows

Pós-instalação Debian Wheezy

Erro no Grupo Sudoers [Resolvido] + Trocar senha de Root

Skype no LMDE 2014

Guia gratuito do Ubuntu (inglês)

  

Comentários
[1] Comentário enviado por dbahiaz em 08/11/2010 - 19:07h

Aprovado!

Precisei instalar ele aqui no Ubuntu 10.04 com kernel-rt e funcionou...alias está funcionando!

Abraço,

Ronnie.

[2] Comentário enviado por paulofnet em 02/06/2011 - 22:35h

Maravilha Cezar Vieira!

Comprei um Inspiron N4030 e sua dica funcionou "de prima" no debian squeeze..

Só não entendi porque o comando lshw mostra eth1 (wireless) em vez de wlan0, como no ubuntu. Coloquei "pon dsl-provider" no rc.local. Não preciso mais rodar pppoeconf.

Saudações.

Paulo Figueiredo.s

[3] Comentário enviado por garibaraujo em 28/08/2011 - 20:49h

Cara, estou tentando fazer a rede sem fio funcionar há uns quinze dias e nada no Squeeze com KDE. Cada hora acontece alguma coisa.
Agora tentei seguir suas dicas e quando tentei o procedimento, com o primeiro comando (aptitude install build-essential debhelper module-assistant quilt wireless-tools), voltou isso:
"
aptitude install build-essential debhelper module-assistant quilt wireless-tools
Os pacotes a seguir, parcialmente instalados, serão configurados:
firmware-b43legacy-installer
Nenhum pacote será instalado, atualizado ou removido.
0 pacotes atualizados, 0 novos instalados, 0 a serem removidos e 0 não atualizados.
É preciso obter 0 B de arquivos. Depois do desempacotamento, 0 B serão usados.
Configurando firmware-b43legacy-installer (4.178.10.4-4) ...
Not supported card here (PCI id 14e4:4315)!
Use b43 firmware. This is just for the b43legacy driver.
Aborting.
dpkg: erro processando firmware-b43legacy-installer (--configure):
sub-processo script post-installation instalado retornou estado de saída de erro 1
configured to not write apport reports
Erros foram encontrados durante o processamento de:
firmware-b43legacy-installer
E: Sub-process /usr/bin/dpkg returned an error code (1)
A instalação de um pacote falhou. Tentando recuperar:
Configurando firmware-b43legacy-installer (4.178.10.4-4) ...
Not supported card here (PCI id 14e4:4315)!
Use b43 firmware. This is just for the b43legacy driver.
Aborting.
dpkg: erro processando firmware-b43legacy-installer (--configure):
sub-processo script post-installation instalado retornou estado de saída de erro 1
Erros foram encontrados durante o processamento de:
firmware-b43legacy-installer
"

Pode me ajudar com isso ? Estou quase reinstalando o sistema para ver se tem algo corrompido. Sei que no linux eu acho que nem conseguiria queimar a ISO. Mas não mais a que recorrer.
Muito obrigado e um forte abraço.
garibaraujo@yahoo.com.br

[4] Comentário enviado por andre4p em 10/08/2012 - 11:57h

Debian 6, funfou ok!

valeu!

[5] Comentário enviado por andre4p em 23/08/2012 - 01:22h

Bom dia galera, Antes de mais nada quero agradecer a ajuda de todos;

estaou com a seguinte dificuldade no debian 6 x64

root@andre4p:/home/andre4p# aptitude install build-essentials debhelper module-assistant quilt wireless-tools
Lendo listas de pacotes... Pronto
Construindo árvore de dependências
Lendo informação de estado... Pronto
O pacote debhelper não está disponível, mas é referenciado por outro pacote.
Isto pode significar que o pacote está faltando, ficou obsoleto ou
está disponível somente a partir de outra fonte

O pacote module-assistant não está disponível, mas é referenciado por outro pacote.
Isto pode significar que o pacote está faltando, ficou obsoleto ou
está disponível somente a partir de outra fonte

E: Impossível encontrar o pacote build-essentials
E: O pacote 'debhelper' não tem candidato para instalação
E: O pacote 'module-assistant' não tem candidato para instalação
E: Impossível encontrar o pacote quilt
root@andre4p:/home/andre4p#

[6] Comentário enviado por andre4p em 23/08/2012 - 01:26h

E assim esta meu sources.list


deb http://security.debian.org/ squeeze/updates main contrib
deb-src http://security.debian.org/ squeeze/updates main contrib

deb http://ftp.debian.org/debian/ squeeze-updates main contrib
deb-src http://ftp.debian.org/debian/ squeeze-updates main contrib



Contribuir com comentário




Patrocínio

Site hospedado pelo provedor RedeHost.
Linux banner
Linux banner
Linux banner

Destaques

Artigos

Dicas

Tópicos

Top 10 do mês

Scripts